> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avnu.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

> Get user's staking position and rewards

## Overview

Returns detailed information about a user's staking position in a specific pool.

## Path Parameters

<ParamField path="poolAddress" type="string" required>
  Pool contract address
</ParamField>

<ParamField path="userAddress" type="string" required>
  User's wallet address
</ParamField>

## Response

<ResponseField name="tokenAddress" type="string" required>
  The staking token address
</ResponseField>

<ResponseField name="tokenPriceInUsd" type="number" required>
  The token price in USD
</ResponseField>

<ResponseField name="poolAddress" type="string" required>
  The pool contract address
</ResponseField>

<ResponseField name="userAddress" type="string" required>
  The user's wallet address
</ResponseField>

<ResponseField name="amount" type="string" required>
  The staked amount (hex format)
</ResponseField>

<ResponseField name="amountInUsd" type="number">
  The staked amount in USD
</ResponseField>

<ResponseField name="unclaimedRewards" type="string" required>
  Unclaimed rewards amount (hex format)
</ResponseField>

<ResponseField name="unclaimedRewardsInUsd" type="number">
  Unclaimed rewards in USD
</ResponseField>

<ResponseField name="unpoolAmount" type="string" required>
  Amount pending withdrawal (hex format)
</ResponseField>

<ResponseField name="unpoolAmountInUsd" type="number">
  Pending withdrawal amount in USD
</ResponseField>

<ResponseField name="unpoolTime" type="string">
  Timestamp when withdrawal will be available (ISO 8601 format)
</ResponseField>

<ResponseField name="totalClaimedRewards" type="string" required>
  Total rewards claimed historically (hex format)
</ResponseField>

<ResponseField name="totalClaimedRewardsHistoricalUsd" type="number">
  Total claimed rewards in USD at historical prices
</ResponseField>

<ResponseField name="totalClaimedRewardsUsd" type="number" required>
  Total claimed rewards in current USD value
</ResponseField>

<ResponseField name="userActions" type="array" required>
  Array of user staking actions

  <Expandable title="ActionDto">
    <ResponseField name="blockNumber" type="integer" required>
      Block number of the action
    </ResponseField>

    <ResponseField name="date" type="string" required>
      Date of the action (ISO 8601 format)
    </ResponseField>

    <ResponseField name="userAddress" type="string" required>
      User address
    </ResponseField>

    <ResponseField name="transactionHash" type="string" required>
      Transaction hash
    </ResponseField>

    <ResponseField name="type" type="string" required>
      Action type: `StakingStake`, `StakingInitiateWithdrawal`, `StakingCancelWithdrawal`, `StakingWithdraw`, or `StakingClaimRewards`
    </ResponseField>

    <ResponseField name="metadata" type="object" required>
      Action-specific metadata
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="totalUserActionsCount" type="integer" required>
  Total count of user actions
</ResponseField>

<ResponseField name="expectedYearlyStrkRewards" type="string" required>
  Expected yearly STRK rewards (hex format)
</ResponseField>

<ResponseField name="aprs" type="array" required>
  Historical APR data

  <Expandable title="Aprs">
    <ResponseField name="date" type="string" required>
      Date of APR snapshot (ISO 8601 format)
    </ResponseField>

    <ResponseField name="apr" type="number" required>
      APR value at that date
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://starknet.api.avnu.fi/staking/v3/pools/0x123abc/members/0x0456def..."
  ```

  ```typescript TypeScript theme={null}
  async function getMemberPosition(poolAddress: string, userAddress: string) {
    const response = await fetch(
      `https://starknet.api.avnu.fi/staking/v3/pools/${poolAddress}/members/${userAddress}`
    );

    return await response.json();
  }
  ```

  ```python Python theme={null}
  import requests

  def get_member_position(pool_address: str, user_address: str):
      response = requests.get(
          f'https://starknet.api.avnu.fi/staking/v3/pools/{pool_address}/members/{user_address}'
      )

      return response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
    "tokenPriceInUsd": 0.25,
    "poolAddress": "0x0abc123def456789...",
    "userAddress": "0x0123456789abcdef...",
    "amount": "0x4563918244f40000",
    "amountInUsd": 1250.00,
    "unclaimedRewards": "0x1bc16d674ec80000",
    "unclaimedRewardsInUsd": 50.00,
    "unpoolAmount": "0x0",
    "unpoolAmountInUsd": 0,
    "unpoolTime": null,
    "totalClaimedRewards": "0x6f05b59d3b20000",
    "totalClaimedRewardsHistoricalUsd": 180.50,
    "totalClaimedRewardsUsd": 200.00,
    "userActions": [
      {
        "blockNumber": 123456,
        "date": "2024-10-15T10:30:00Z",
        "userAddress": "0x0123456789abcdef...",
        "transactionHash": "0xabc123...",
        "type": "StakingStake",
        "metadata": {
          "delegationPoolAddress": "0x0abc123def456789...",
          "oldDelegatedStake": "0x0",
          "newDelegatedStake": "0x4563918244f40000"
        }
      },
      {
        "blockNumber": 125000,
        "date": "2024-11-01T14:00:00Z",
        "userAddress": "0x0123456789abcdef...",
        "transactionHash": "0xdef456...",
        "type": "StakingClaimRewards",
        "metadata": {
          "delegationPoolAddress": "0x0abc123def456789...",
          "rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
          "amount": "0x6f05b59d3b20000"
        }
      }
    ],
    "totalUserActionsCount": 2,
    "expectedYearlyStrkRewards": "0x8ac7230489e80000",
    "aprs": [
      {
        "date": "2024-11-01T00:00:00Z",
        "apr": 0.085
      },
      {
        "date": "2024-10-31T00:00:00Z",
        "apr": 0.082
      }
    ]
  }
  ```
</ResponseExample>
